libdbus-1-cil files conflicts with libdbus-cil

Bug #25594 reported by Andres Salomon on 2005-11-10
2
Affects Status Importance Assigned to Milestone
dbus (Ubuntu)
Medium
Unassigned

Bug Description

While upgrading my system from hoary to breezy, I get the following error:

Unpacking libdbus-1-cil (from .../libdbus-1-cil_0.36.2-0ubuntu7_i386.deb) ...
dpkg: error processing
/var/cache/apt/archives/libdbus-1-cil_0.36.2-0ubuntu7_i386.deb (--unpack):
 trying to overwrite `/usr/lib/pkgconfig/dbus-sharp.pc', which is also in
package libdbus-cil
dpkg-deb: subprocess paste killed by signal (Broken pipe)

libdbus-1-cil needs a conflict/replaces on libdbus-cil; the other libraries in
the dbus package have that sort of thing (ie, libdbus-qt-1-1c2 conflicts and
replaces libdbus-qt-1), but libdbus-1-cil is missing it.

Sebastian Dröge (slomo) wrote :

this is fixed in dapper. if you want this fix backported to breezy please select "Backport Fix to Releases" on the right.

Changed in dbus:
status: Unconfirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.